GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Private Member Functions | List of all members
PyEngineView Class Referencefinal

`#include <py_engine.h>`

Inheritance diagram for PyEngineView:

## Private Member Functions
const gridfire::Engine & | getBaseEngine () const override
| Access the underlying engine instance.

## Additional Inherited Members
Public Member Functions inherited from gridfire::EngineView< gridfire::Engine >
virtual | ~EngineView ()=default
| Virtual destructor.

## Member Function Documentation

## ◆ getBaseEngine()

const gridfire::Engine & PyEngineView::getBaseEngine | ( |  | ) | const
| override private virtual

Access the underlying engine instance.

Returns
  Const reference to the underlying engine.

This method must be implemented by derived classes to provide access to the base engine. The returned reference should remain valid for the lifetime of the EngineView.

Example:

const DynamicEngine& engine = myView.getBaseEngine();

Implements gridfire::EngineView< gridfire::Engine >.

The documentation for this class was generated from the following files:

- src/python/engine/trampoline/py_engine.h
- src/python/engine/trampoline/py_engine.cpp